PKG(1)

NAME
pkg - a utility for manipulating packages

SYNOPSIS
pkg [-v] [-d] [-j <jail name or id> | -c <chroot path>] <command> <flags>

DESCRIPTION
provides an interface for manupulating packages - registering, adding, removing and upgrading of packages.

OPTIONS
The following options are supported by

-v  Displays the current version of pkg

-d  Show debug informations

-j <jail name or id>
    pkg will execute in the given <jail name or id> jail(8)

-c <chroot path>
    pkg will chroot in the <chroot path> Environment

COMMANDS
The following commands are supported by pkg:

help <command>
    Displays usage information of the specified command.

add Installs a package from either a local source or a remote one.

    When installing from remote source you need to specify the protocol to use when fetching the package.

    Currently supported protocols are FTP, HTTP and HTTPS.

audit
    < To be added >

autoremove
    Deletes packages not depended on by anyother packages and that were automatically installed.

backup
    Dumps the local package database to a file specified on the command-line.

check
    < To be added >

clean
    < To be added >

create
    Creates a package

delete
    Deletes a package from the database and the system.

info
    Displays information about installed packages.

install
    Installs a package from a remote package repository. If a package is found in more than one remote repositories, then installation happens from the first one. If a package fails to fetch from the remote repository the next one in the list is tried, until the package is fetched.

query
    Is used for displaying information about packages.

register
    Registers a package in the database.

repo
    Creates a package repository.

    < To be completed >

search
    Will search for the given pattern in the remote package repositories.

update
    Update the available remote repositories as listed in pkg.conf(5).

updating
    < To be added >

upgrade
    Upgrades a package to a newer version.

version
    < To be added >

which
    Queries the database for package(s) that installed a specific file.

ENVIRONMENT
The list of environment variables that affect the execution of pkg is in pkg.conf(5).

FILES
See pkg.conf(5).

SEE ALSO
pkg-autoremove(1), pkg-search(1), pkg-backup(1), pkg-install(1), pkg-delete(1), pkg-info(1), pkg-register(1), pkg-repo(1), pkg-update(1), pkg-upgrade(1), pkg-version(1), pkg-which(1), pkg.conf(5)

HISTORY
The pkg command first appeared in FreeBSD

AUTHORS AND CONTRIBUTORS
Baptiste Daroussin <bapt@FreeBSD.org> Julien Laffaye <jlaffaye@FreeBSD.org> Philippe Pepiot <phil@philpep.org> Will Andrews <will@FreeBSD.org> Marin Atanasov Nikolov <dnaeon@gmail.com>

BUGS
There might be some left.